format: syllabus/v1
kind: course
code: PKAB
title: Practicing Kanban Using Azure Boards
items:
- id: 1
  title: Introduction to Kanban
  duration: 120
  overview: This module provides an overview of Kanban, its core practices, and how to use Azure Boards to support them. You will learn how to configure an Azure DevOps project and manage a product backlog.
  details: |
    - Kanban overview
    - Kanban core practices
    - Kanban support in Azure Boards
    - Configuring an Azure DevOps project
    - Managing a product backlog - Hands-on
- id: 2
  title: Visualizing the Workflow
  duration: 120
  overview: This module covers the Kanban board overview, defining the workflow, making policies explicit, defining classes of service, and filtering the board. You will also learn about keyboard shortcuts.
  details: |
    - Kanboard board overview
    - Kanban board vs. a backlog
    - Kanban board vs. a taskboard
    - Defining the workflow
    - Making policies explicit
    - Definition of “Done”
    - Defining classes of service (swimlanes)
    - Defining task checklists and inline tests
    - Filtering the board
    - Keyboard shortcuts - Hands-on
- id: 3
  title: Limiting WIP
  duration: 120
  overview: This module covers the overview of Work in Progress (WIP), visualizing WIP limits, creating a pull system, and challenges with limiting WIP. You will also learn about bottlenecks.
  details: |
    - Work in Progress (WIP) overview
    - Visualizing WIP limits
    - Creating a pull system
    - Splitting columns into “doing” and “done”
    - Challenges with limiting WIP
    - Bottlenecks - Hands-on
- id: 4
  title: Managing for Flow
  duration: 120
  overview: This module covers flow-based metrics, flow-based analytics, and achieving flow and predictability. You will also learn about cycle time vs. lead time and Little’s Law.
  details: |
    - Flow-based metrics
    - Cycle time vs. lead time
    - Little’s Law
    - Flow-based analytics
    - Cumulative Flow Diagrams
    - Scatterplots
    - ActionableAgile Analytics
    - Monte Carlo simulation
    - Achieving flow and predictability - Hands-on

